[JIRA] (OVIRT-841) Modify check_merged jobs to run as merge gates instead of post merge
by Barak Korren (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-841?page=com.atlassian.jira... ]
Barak Korren reassigned OVIRT-841:
----------------------------------
Assignee: Barak Korren (was: infra)
> Modify check_merged jobs to run as merge gates instead of post merge
> --------------------------------------------------------------------
>
> Key: OVIRT-841
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-841
> Project: oVirt - virtualization made easy
> Issue Type: New Feature
> Components: Jenkins
> Reporter: Barak Korren
> Assignee: Barak Korren
> Priority: High
>
> This can be done with Zuul - as tracked by OVIRT-734, but can also be done with just Jenkins in the short term.
> This ticket is to track short-term gate implementation without Zuul, it is separate from the Zuul ticket, because if we do end up deploying Zuul, we will probably have to let it do this too.
> We need to also communicate with the developers to ask what will the prefer as the way to signal Jenkins to run the gate, there are two options we can consider:
> # Use code-review+2
> # Use some new "approve" flag (Like OpenStack)
--
This message was sent by Atlassian JIRA
(v1000.526.2#100018)
8 years, 1 month
Build failed in Jenkins: ovirt_3.6_system-tests #739
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/739/changes>
Changes:
[Gal Ben Haim] Changed he_3.6 suite to match the new naming convention
------------------------------------------
[...truncated 752 lines...]
## took 1681 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log entries: logs/mocker-epel-7-x86_64.el7.basic_suite_3.6.sh/basic_suite_3.6.sh.log
##!
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
+ exit
Took 1542 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson3811718224516028668.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/739/artifact/exported...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/739/artifact/exported...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/739/artifact/exported...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson6439740402726861471.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.install_packages/
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.install_packages/state.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.install_packages/build.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.install_packages/root.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.init/
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.init/state.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.init/build.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.init/root.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.clean_rpmdb/
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.clean_rpmdb/stdout_stderr.log
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.basic_suite_3.6.sh/
./ovirt-system-tests/logs/mocker-epel-7-x86_64.el7.basic_suite_3.6.sh/basic_suite_3.6.sh.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-epel-7-x86_64.el7.cfg
+ mock_root=mocker-epel-7-x86_64.el7
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-epel-7-x86_64.el7'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests> --root=mocker-epel-7-x86_64.el7 --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.21 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ mock_root=epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
Archiving artifacts
8 years, 1 month
[JIRA] (OVIRT-839) [gerrit hooks] retype classification message
by Shlomo Ben David (oVirt JIRA)
Shlomo Ben David created OVIRT-839:
--------------------------------------
Summary: [gerrit hooks] retype classification message
Key: OVIRT-839
URL: https://ovirt-jira.atlassian.net/browse/OVIRT-839
Project: oVirt - virtualization made easy
Issue Type: Improvement
Reporter: Shlomo Ben David
Assignee: infra
The current message isn't consistent in all hooks.
If the bug classification is not 'oVirt' return the following message:
[hook name]::[bug id]::IGNORE: not relevant for '[other classification]' classification.
--
This message was sent by Atlassian JIRA
(v1000.526.2#100018)
8 years, 1 month
All(?) CI jobs failing with errors downloading packaging
by Allon Mureinik
I see a lot of the following errors (AFAIK, on ALL CI jobs):
DEBUG util.py:421:
http://proxy.phx.ovirt.org:5000/fedora-updates/24/x86_64/u/unzip-6.0-30.f...:
[Errno 14] HTTP Error 503 - Service Unavailable
DEBUG util.py:421: Trying other mirror.
DEBUG util.py:421:
http://proxy.phx.ovirt.org:5000/fedora-updates/24/x86_64/u/unzip-6.0-30.f...:
[Errno 14] HTTP Error 503 - Service Unavailable
DEBUG util.py:421: Trying other mirror.
DEBUG util.py:421: Error downloading packages:
DEBUG util.py:421: libselinux-2.5-9.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: info-6.1-3.fc24.x86_64: [Errno 256] No more mirrors
to try.
DEBUG util.py:421: libsolv-0.6.24-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libstdc++-devel-6.2.1-2.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: 4:perl-libs-5.22.2-364.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: nss-3.27.0-1.2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libassuan-2.4.3-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: nettle-3.2-3.fc24.x86_64: [Errno 256] No more mirrors
to try.
DEBUG util.py:421: 4:perl-macros-5.22.2-364.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: 1:gmp-6.1.1-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libstdc++-6.2.1-2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libgpg-error-1.24-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libgcrypt-1.6.6-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: python3-hawkey-0.6.3-6.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: libidn-1.33-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: unzip-6.0-30.fc24.x86_64: [Errno 256] No more mirrors
to try.
DEBUG util.py:421: libgcc-6.2.1-2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: 3:perl-Socket-2.024-1.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: 4:perl-5.22.2-364.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: systemd-libs-229-16.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: systemd-229-16.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: pcre-8.39-6.fc24.x86_64: [Errno 256] No more mirrors
to try.
DEBUG util.py:421: glib2-2.48.2-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: ncurses-libs-6.0-6.20160709.fc24.x86_64: [Errno 256]
No more mirrors to try.
DEBUG util.py:421: redhat-rpm-config-41-2.fc24.noarch: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: perl-IO-1.35-364.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: python3-dnf-1.1.10-1.fc24.noarch: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: nss-sysinit-3.27.0-1.2.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: libsemanage-2.5-5.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: nss-pem-1.0.2-2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: ncurses-6.0-6.20160709.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: libsepol-2.5-8.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libtasn1-4.9-1.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: gcc-c++-6.2.1-2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: gcc-6.2.1-2.fc24.x86_64: [Errno 256] No more mirrors
to try.
DEBUG util.py:421: nss-tools-3.27.0-1.2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: kernel-headers-4.8.6-201.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: libtool-ltdl-2.4.6-12.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: lua-5.3.3-2.fc24.x86_64: [Errno 256] No more mirrors
to try.
DEBUG util.py:421: libreport-filesystem-2.7.2-1.fc24.x86_64: [Errno 256]
No more mirrors to try.
DEBUG util.py:421: ncurses-base-6.0-6.20160709.fc24.noarch: [Errno 256]
No more mirrors to try.
DEBUG util.py:421: krb5-libs-1.14.4-4.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: 1:openssl-libs-1.0.2j-1.fc24.x86_64: [Errno 256] No
more mirrors to try.
DEBUG util.py:421: libgomp-6.2.1-2.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: libcurl-7.47.1-9.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: perl-Errno-1.23-364.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: hawkey-0.6.3-6.fc24.x86_64: [Errno 256] No more
mirrors to try.
DEBUG util.py:421: tzdata-2016i-1.fc24.noarch: [Errno 256] No more
mirrors to try.
DEBUG util.py:557: Child return code was: 1
DEBUG util.py:180: kill orphans
DEBUG util.py:578: child environment: None
see, e.g.,
http://jenkins.ovirt.org/job/ovirt-engine_master_check-patch-fc24-x86_64/...
Can someonr take a look at this please?
Thanks,
Allon
8 years, 1 month